跳转到主要内容
GET
/
v1
/
wallet
/
{chain}
/
{walletAddress}
/
balance-updates
钱包 - 余额变更记录
curl --request GET \
  --url https://api.chainstream.io/v1/wallet/{chain}/{walletAddress}/balance-updates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blockHash": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
      "blockHeight": 123456789,
      "blockSlot": 123456789,
      "blockTimestamp": 1705312800000,
      "transactionSignature": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
      "index": 0,
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tokenAccountAddress": "MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2",
      "accountOwnerAddress": "MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2",
      "preBalance": "1000.123456",
      "preBalanceInNative": "5.123456789",
      "preBalanceInUsd": "1234.56",
      "postBalance": "1100.123456",
      "postBalanceInNative": "5.623456789",
      "postBalanceInUsd": "1357.90",
      "balanceChange": "100.000000",
      "balanceChangeInNative": "0.500000000",
      "balanceChangeInUsd": "123.34",
      "type": "SPL",
      "changeType": "INCREASE"
    }
  ],
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "<string>",
  "endCursor": "<string>"
}
此接口仅保留最近 7 天 的数据。

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络中列出的区块链名称

可用选项:
sol,
bsc,
eth
walletAddress
string
必填

钱包地址

示例:

"MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2"

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

每页结果数量

必填范围: 1 <= x <= 100
direction
enum<string>
默认值:next

分页方向(next或prev)

可用选项:
next,
prev
tokenAddress
string

按特定代币地址过滤

示例:

"FBmHMoWzwJB3g9GCSNTn1ZyvgkuZs7c8GTgNDoJNpump"

timeFrom
integer<int64>

开始时间戳(Unix 秒)

示例:

1705312800000

timeTo
integer<int64>

结束时间戳(Unix 秒)

示例:

1705399200000

type
enum<string>

余额类型过滤(SOL 为原生代币,SPL 为代币)

可用选项:
SOL,
SPL
changeType
enum<string>

余额变更方向过滤(INCREASE 或 DECREASE)

可用选项:
INCREASE,
DECREASE

响应

200 - application/json
data
object[]
必填

数据项数组

hasNext
boolean
默认值:false
必填

指示是否有更多结果

hasPrev
boolean
默认值:false
必填

指示是否有上一页结果

startCursor
string

当前页第一项的游标

endCursor
string

当前页最后一项的游标